## com.trilead.ssh2.crypto.dh
Class DhGroupExchange

    java.lang.Object
      com.trilead.ssh2.crypto.dh.DhGroupExchange

    public class DhGroupExchange

extends java.lang.Object

DhGroupExchange.

Constructor Summary
`DhGroupExchange(java.math.BigInteger p, java.math.BigInteger g)`

Method Summary
`byte[]` `calculateH(byte[] clientversion, byte[] serverversion, byte[] clientKexPayload, byte[] serverKexPayload, byte[] hostKey, DHGexParameters para)`
`java.math.BigInteger` `getE()`
`java.math.BigInteger` `getK()`
`void` `init(java.security.SecureRandom rnd)`
`void` `setF(java.math.BigInteger f)` Sets f and calculates the shared secret.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DhGroupExchange

    public DhGroupExchange(java.math.BigInteger p,
                           java.math.BigInteger g)

Method Detail

### init

    public void init(java.security.SecureRandom rnd)

### getE

    public java.math.BigInteger getE()

  Returns:
    Returns the e.

### getK

    public java.math.BigInteger getK()

  Returns:
    Returns the shared secret k.

### setF

    public void setF(java.math.BigInteger f)

  Sets f and calculates the shared secret.

### calculateH

    public byte[] calculateH(byte[] clientversion,
                             byte[] serverversion,
                             byte[] clientKexPayload,
                             byte[] serverKexPayload,
                             byte[] hostKey,
                             DHGexParameters para)